Bug 140057 - [MAINTAINER] audio/picard: Update to 0.12
Summary: [MAINTAINER] audio/picard: Update to 0.12
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-10-28 19:20 UTC by Jason E. Hale
Modified: 2009-11-02 10:54 UTC (History)
0 users

See Also:


Attachments
2009-10-28-picard.diff (29.33 KB, patch)
2009-10-28 19:20 UTC, Jason E. Hale
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jason E. Hale 2009-10-28 19:20:01 UTC
- Update audio/picard to version 0.12.
- Add more MASTER_SITES
- Require at least Python 2.5
- Sort/update pkg-plist

How-To-Repeat: Use attached diff.
Comment 1 Martin Wilke freebsd_committer 2009-10-29 09:20:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Jason E. Hale 2009-11-02 06:35:05 UTC
Update to 0.12.1 (small bugfix).  Diff is to to be applied after the first one.

--- 2009-11-02-picard.diff begins here ---
diff -ruN picard.orig/Makefile picard/Makefile
--- picard.orig/Makefile	2009-11-02 01:24:22.000000000 -0500
+++ picard/Makefile	2009-11-02 01:11:13.000000000 -0500
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	picard
-PORTVERSION=	0.12
+PORTVERSION=	0.12.1
 CATEGORIES=	audio python
 MASTER_SITES=	http://ftp.musicbrainz.org/pub/musicbrainz/picard/ \
 		ftp://ftp.musicbrainz.org/pub/musicbrainz/picard/ \
diff -ruN picard.orig/distinfo picard/distinfo
--- picard.orig/distinfo	2009-11-02 01:24:22.000000000 -0500
+++ picard/distinfo	2009-11-02 01:11:20.000000000 -0500
@@ -1,3 +1,3 @@
-MD5 (picard-0.12.tar.gz) = 88284fb378462a091a092e03387f0da9
-SHA256 (picard-0.12.tar.gz) = ba3bdc36376e32d6683b803b2ee818ac725dfadcd02cfb7ea236e034b95e46be
-SIZE (picard-0.12.tar.gz) = 1361174
+MD5 (picard-0.12.1.tar.gz) = cfe594d68924afbc0704888130295c85
+SHA256 (picard-0.12.1.tar.gz) = 7ffb28a47b610c45cfd972eacbb65c95a224aeaed0750d57c61a47d29f9a8183
+SIZE (picard-0.12.1.tar.gz) = 1361157
--- 2009-11-02-picard.diff ends here ---
Comment 3 Martin Wilke freebsd_committer 2009-11-02 10:54:21 UTC
State Changed
From-To: open->closed

Committed. Thanks!